/*
    Project: GoGoChart website revamp
    Author: http://www.CodingCat.hk
*/

main:not(:only-child) { margin-top: 0; }

/* Video Background */
body > .video-background {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: -1;
}

.video-background video {
    position: absolute;
    bottom: 0;
    left: 50%;
    min-width: 100%;
    min-height: 100vh;
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}

/* Page Cover */
.page-cover {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    color: #fff;
    text-transform: uppercase;
    -moz-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -ms-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -o-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -webkit-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
}
.page-cover .swiper-container { width: 100%; height: 100%; }

    /* Slides */
    .page-cover .swiper-slide {
        display: flex;
        justify-content: center;
        align-items: center;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }
    .page-cover .chinajoy-2018 {
        width: 100%;
        height: 100%;
        background-image: url('../images/index.html/chinajoy.2018.jpg');
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }
    .page-cover h2 { font-size: 90px; font-weight: 700; }
    .page-cover h2 span { color: #1de9b6; }
    .page-cover h3 { font-size: 26px; }

    /* Slide bullets */
    .page-cover .swiper-pagination-bullet {
        width: 50px;
        background-color: rgba(255, 255, 255, 0.3);
        cursor: pointer;
        opacity: 1;
        -moz-border-radius: 3px;
        -ms-border-radius: 3px;
        -o-border-radius: 3px;
        -webkit-border-radius: 3px;
        border-radius: 3px;
    }
    .page-cover .swiper-pagination-bullet-active { background-color: #1de9b6; }

/* Who We Are */
.who-we-are header { color: #40545a; }
.who-we-are header h2 { font-size: 50px; font-weight: 700; }
.who-we-are header h2 span { color: #1de9b6; }
.who-we-are header h3 {
    margin: 0 auto;
    margin-top: 21px;
    border-width: 0;
    border-top: 1px solid #ecf0f1;
    max-width: 700px;
    padding-top: 21px;
    line-height: 30px;
    font-size: 18px;
    text-transform: none;
}
.who-we-are header h3 strong { text-transform: uppercase; }

.who-we-are content ul.short-cuts {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin: 0;
    padding: 0;
}
.who-we-are content ul.short-cuts li {
    list-style-type: none;
    display: inline-block;
    position: relative;
    border: 0 solid #1de9b6;
    height: 80vh;
    background-size: auto 77%;
    background-repeat: no-repeat;
    background-position: center;
    overflow-x: hidden;
}
.who-we-are content ul.short-cuts li:first-child {
    border-right-width: 2px;
    background-image: url('../images/index.html/search_bg.png');
}
.who-we-are content ul.short-cuts li:last-child {
    border-left-width: 2px;
    background-image: url('../images/index.html/aso.png');
}
.who-we-are content ul.short-cuts li a {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    font-size: 50px;
    color: #fff;
    opacity: 0;
}
.who-we-are content ul.short-cuts li:first-child a { text-indent: -30vw; }
.who-we-are content ul.short-cuts li:last-child a { text-indent: 30vw; }
.who-we-are content ul.short-cuts li:hover a { text-decoration: none; text-indent: 0; opacity: 1; }
.who-we-are content ul.short-cuts li a span { position: relative; z-index: 1; }
.who-we-are content ul.short-cuts li a:before {
    display: inline-block;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .7);
}
.who-we-are content ul.short-cuts li:first-child a:before { right: 200%; left: -100%; }
.who-we-are content ul.short-cuts li:last-child a:before { right: -100%; left: 200%; }
.who-we-are content ul.short-cuts li:hover a:before { right: 0; left: 0; }

.who-we-are content ul.company-summary {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    margin: 0;
    margin-top: 80px;
    padding: 0;
}
.who-we-are content ul.company-summary li {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    list-style-type: none;
}
.who-we-are content ul.company-summary li span[class] {
    display: inline-block;
    width: 80px;
    height: 80px;
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
}
.who-we-are content ul.company-summary li span[class].app-icon { background-image: url('../images/index.html/icons/apps.png'); }
.who-we-are content ul.company-summary li span[class].country-icon { background-image: url('../images/index.html/icons/country.png'); }
.who-we-are content ul.company-summary li span[class].expertise-icon { background-image: url('../images/index.html/icons/expertise.png'); }
.who-we-are content ul.company-summary li span[class].coffee-icon { background-image: url('../images/index.html/icons/coffee2.png'); }
.who-we-are content ul.company-summary li span { line-height: 68px; font-size: 40px; color: #1de9b6; }
.who-we-are content ul.company-summary li mark {
    background-color: transparent;
    line-height: 30px;
    font-size: 18px;
    color: #40545a;
    text-transform: uppercase;
}

/* Our Awards */
.our-awards {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    min-height: 100vh;
    background-size: auto 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-image: url('../images/index.html/our-awards.png');
    color: #fff;
}
.our-awards:before {
    display: block;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(64, 84, 90, 0.7);
}
.our-awards > * { position: relative; z-index: 1; }

.our-awards header h2 { font-size: 38px; font-weight: 700; }
.our-awards content { flex-grow: 1; display: flex; justify-content: space-around; }
.our-awards content * {
    width: 20%;
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-position-y: bottom;
}
.our-awards content .awards_web_gold_2017 { background-image: url('../images/index.html/awards/web_gold_2017.png'); }
.our-awards content .awards_web_silver_2017 { background-image: url('../images/index.html/awards/web_silver_2017.png'); }
.our-awards content .awards_web_bronze_2017 { background-image: url('../images/index.html/awards/web_bronze_2017.png'); }
.our-awards content .awards_web_bronze_2016 { background-image: url('../images/index.html/awards/web_bronze_2016.png'); }

.our-awards content .awards_web_gold_2018 { background-image: url('../images/index.html/awards/web_gold_2018.png'); }
.our-awards content .awards_web_silver_2018 { background-image: url('../images/index.html/awards/web_silver_2018.png'); }
.our-awards content .awards_web_bronze_2018 { background-image: url('../images/index.html/awards/web_bronze_2018.png'); }
.our-awards content .awards_web_localhero_2018 { background-image: url('../images/index.html/awards/web_localhero_2018.png'); }

/* Our Partners */
.our-partners header h2 { font-size: 38px; font-weight: 700; color: #4b4b4b; }
.our-partners content .grid-rows {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}
.our-partners content .grid-rows * {
    width: 100%;
    height: 150px;
    background-size: auto 100%;
    background-repeat: no-repeat;
    background-position: center;
}
.our-partners content .grid-rows *:hover {
    -moz-box-shadow: 0 8px 48px 0 rgba(0, 0, 0, 0.15);
    -ms-box-shadow: 0 8px 48px 0 rgba(0, 0, 0, 0.15);
    -o-box-shadow: 0 8px 48px 0 rgba(0, 0, 0, 0.15);
    -webkit-box-shadow: 0 8px 48px 0 rgba(0, 0, 0, 0.15);
    box-shadow: 0 8px 48px 0 rgba(0, 0, 0, 0.15);
}
.our-partners content .grid-rows .partner-bmw { background-image: url('../images/index.html/partners/BMW.png'); }
.our-partners content .grid-rows .partner-uber { background-image: url('../images/index.html/partners/UBER.png'); }
.our-partners content .grid-rows .partner-alibaba { background-image: url('../images/index.html/partners/Alibaba.png'); }
.our-partners content .grid-rows .partner-ctrip { background-image: url('../images/index.html/partners/Ctrip.png'); }

.our-partners content .grid-rows .partner-machinezone { background-image: url('../images/index.html/partners/MachineZone.png'); }
.our-partners content .grid-rows .partner-playtika { background-image: url('../images/index.html/partners/Playtika.png'); }
.our-partners content .grid-rows .partner-sega { background-image: url('../images/index.html/partners/SEGA.png'); }
.our-partners content .grid-rows .partner-tango { background-image: url('../images/index.html/partners/Tango.png'); }

.our-partners content .grid-rows .partner-omd { background-image: url('../images/index.html/partners/OMD.png'); }
.our-partners content .grid-rows .partner-mccann { background-image: url('../images/index.html/partners/McCANN.png'); }
.our-partners content .grid-rows .partner-mirum { background-image: url('../images/index.html/partners/Mirum.png'); }
.our-partners content .grid-rows .partner-phd { background-image: url('../images/index.html/partners/PHD.png'); }

/* Contact Us */
.contact-us {
    background-size: cover;
    background-repeat: no-repeat;
    background-position-x: 50%;
    background-image: url('../images/index.html/contact_us.jpg');
}
.contact-us h2 { font-size: 38px; font-weight: 700; color: #4b4b4b; }
.contact-us content .form-controls {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 58px;
    grid-column-gap: 30px;
}
.contact-us content .form-controls input {
    padding: 21px 14px;
    -moz-box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
    -webkit-box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
    box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
}
.contact-us content .form-controls input:focus {
    -moz-box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
    -webkit-box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
    box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
}
.contact-us.focused content .form-controls input.focused:not(:valid) {
    -moz-box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
    -webkit-box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
    box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
}
.contact-us.focused content .form-controls input.focused:not(:valid) ~ * {
    margin-top: 7px;
    max-height: 100px;
    height: auto;
    opacity: 1;
}
.contact-us content .form-controls span {
    position: absolute;
    display: inline-block;
    margin-top: 0;
    max-height: 0;
    height: 0;
    overflow: hidden;
    opacity: 0;
}

.contact-us content .form-controls ~ * { position: relative; }
.contact-us content button {
    border: 2px solid #4b4b4b;
    background-color: transparent;
    padding: 10px 30px;
    font-weight: 400;
    color: #4b4b4b;
    text-transform: uppercase;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}
.contact-us content button:hover,
.contact-us content button:focus {
    border-color: #1de9b6;
    outline-width: 0;
    background-color: #1de9b6;
    color: #fff;
}
.contact-us content button ~ * {
    position: absolute;
    margin-top: 10px;
    top: 100%;
    left: 0;
    width: 100%;
}
.contact-us content button ~ .text-danger { display: none; font-size: 14px; color: #e74c3c; }
.contact-us content.shake-horizon button ~ .text-danger { display: block; }

.contact-us content button ~ .text-info { display: none; font-size: 26px; color: #18bc9c; }
.contact-us content.submitted button ~ .text-info { display: block; }

/* Google Map */
#map { height: 50vh; min-height: 500px; }